package com.docus.server.archivemysql.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.archivemysql.entity.TBasic;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 患者基础信息表mapper
 *
 * @author wyb
 */
@DS("archive-mysql")
public interface TBasicMapper {
    /**
     * 根据记账号查询基础病案信息
     *
     * @param jzhList 记账号集合
     * @return 查询结果
     */
    List<TBasic> findTbasicByJzhs(@Param("jzhList") List<String> jzhList);
}
