package com.docus.server.archivesqlserver.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.archivesqlserver.entity.ArchiveMaster;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author YongBin Wen
 * @date 2024/8/13 16:38
 */
@DS("archivesqlserver")
public interface ArchiveMasterMapper {
    /**
     * 根据条件查询患者基础数据
     *
     * @param condition 查询条件
     * @return 患者基础数据集合
     */
    List<ArchiveMaster> listByCondition(@Param("condition") ArchiveMaster condition);

    List<ArchiveMaster> listByNoCollectTaskAndGeDisDate(@Param("disDate")String disDate,@Param("sysCode")String sysCode);
}
