package com.docus.server.fssyjhemr.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 佛山三院嘉时无纸化编目状态电子病历视图
 *
 * @author YongBin Wen
 * @date 2024/9/13 14:52
 */
@ApiModel("佛山三院嘉时无纸化编目状态电子病历视图")
@Data
public class FsSyJswzhBmztEmrView {
    @ApiModelProperty("记账号，和归档匹配")
    private String jzh;
    @ApiModelProperty("住院号")
    private String zyh;
    private String kh;
    @ApiModelProperty("住院次数")
    private Integer zycs;
    private String bmr;
    private String bmgh;
    @ApiModelProperty("入院时间")
    private Date ryrq;
    @ApiModelProperty("出院时间")
    private Date cyrq;
    @ApiModelProperty("编目时间")
    private Date bmsj;

}
