package com.docus.server.rpc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 任务补偿参数
 *
 * @author wyb
 */
@Data
@ApiModel("任务补偿下发参数")
public class CompensateTaskDTO {
    /**
     * 病案主键
     */
    @ApiModelProperty(value = "病案主键",required = true)
    private List<String> patientIds;
    /**
     * 采集器类型标识
     */
    @ApiModelProperty(value = "采集器id",required = true)

    private List<String> collectorIds;
    /**
     * 队列优先级
     */
    @ApiModelProperty(value = "队列优先级",required = true)
    private Integer priority;
}
