package com.docus.server.archivesqlserver.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 归档患者主表
 * @author YongBin Wen
 * @date 2024/8/13 16:33
 */
@ApiModel("归档患者主表")
@Data
public class ArchiveMaster {
    @ApiModelProperty("患者主键")
    private String id;
    @ApiModelProperty("住院号")
    private String inpNo;
    @ApiModelProperty("住院次数")
    private String visitId;
}
