package com.docus.server.rpc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 任务补偿参数
 * @author wyb
 */
@Data
@ApiModel("任务补偿参数")
public class TaskMakeupDto {
    @ApiModelProperty("采集器id，多个使用英文逗号 , 分割")
    private String sysCodes;
    @ApiModelProperty("病案主键集合")
    private List<String> patientIds;
}
