package com.docus.server.zjfsjhemr.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 湛江附属医院 首页编目数据
 *
 * @author YongBin Wen
 * @date 2024/8/13 16:07
 */
@ApiModel("湛江附属医院 首页编目数据")
@Data
public class ZjFsPatIndexView {

    @ApiModelProperty("患者ID")
    private String patientId;
    @ApiModelProperty("住院号")
    private String inpNo;
    @ApiModelProperty("住院次数")
    private Integer visitId;
    @ApiModelProperty("入院日期")
    private Date admissionDateTime;
    @ApiModelProperty("出院日期")
    private Date dischargeDateTime;
    @ApiModelProperty("编目最后完成日期")
    private Date catalogDate;
    @ApiModelProperty("编目人员工号")
    private String catalogerId;

}
